CREAL(3)

NAME
creal, crealf, creall - complex real functions

SYNOPSIS
#include <complex.h>
double
creal(double complex z);
float
crealf(float complex z);
long double
creall(long double complex z);

DESCRIPTION
The creal(), crealf() and creall() functions compute the real part of z.

RETURN VALUES
The creal(), crealf() and creall() functions return the real part of z.

SEE ALSO
carg(3)

STANDARDS
The creal(), crealf() and creall() functions conform to isoC-99.